# Times built-in

The times built-in prints CPU time usage.

## Syntax

- `times`

## Description

The times built-in prints the CPU times consumed by the shell process and its child processes to the standard output.

The built-in prints two lines: the first line shows the CPU time of the shell process and the second one that of its child processes (not including those which have not terminated). Each line shows the CPU times consumed in the user and system mode.

## Exit status

The exit status of the times built-in is zero unless there is any error.

## Notes

The times built-in is a special built-in.